%define pbuild   %{_builddir}/%{name}-%{version}

%define origName oraclevm-template
%define instName ol-template-config
%define initName ol-template-initial-config

%define sbinHome /usr/sbin

%define sConfDir %{_sysconfdir}/sysconfig
%define stateDir %{_localstatedir}/lib/%{instName}
%define DocDir   /usr/share/doc/%{instName}
%define LibDir   /usr/lib
%define SysDir   /etc/systemd/system

%define sbinFile %{sbinHome}/%{instName}
%define sbinFile2 %{sbinHome}/%{initName}

%define confFile %{sConfDir}/%{instName}

Summary: Oracle Linux VM Template reconfiguration scripts
Name:  ol-template-config
Vendor: Oracle Corporation
Version: 1.1.0
Release: 12%{dist}

Group:  Utilities
License: GPLv2
URL: http://oss.oracle.com/
Source0:  %{name}-%{version}.tar.gz
Patch0:   oraclevm-template-1.1.0-fix-bundle.patch
Patch1:   ec2-ami-changes.patch
Patch2:   bug-9460839.patch
Patch3:   bug-9847943.patch
Patch4:   reset-password.patch
Patch5:   remove-hwaddr-in-ifcfg-eth.patch
Patch6:   ovm-template-config-1.1.0-externally-displayed-text.patch 
Patch7:   fix-ol6-console-input.patch
Patch8:   Bug16619882-correct-locahost.patch
Patch9:   use-systemd-service-instead-of-sysv-init-script.patch
Patch10:  update-to-inet-to-get-ipaddr-on-ol7.patch

BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

Obsoletes: ovm-template-config <= 1.1.0
Conflicts: ovm-template-config <= 1.1.0

%description
Configuration for Oracle Linux VM Template boot.

%prep
%setup  -q
%patch0   -p1
%patch1   -p1
%patch2   -p1
%patch3   -p1
%patch4   -p1
%patch5   -p1
%patch6   -p1
%patch7   -p1
%patch8   -p1
%patch9   -p1
%patch10  -p1
%build

%install
rm -fr %{buildroot}
install -d -m0755 %{buildroot}/%{_initrddir}
install -d -m0755 %{buildroot}/%{sbinHome}
install -d -m0755 %{buildroot}/%{sConfDir}
install -d -m0755 %{buildroot}/%{stateDir}
install -d -m0755 %{buildroot}/%{DocDir}
install -d -m0755 %{buildroot}/%{LibDir}
install -d -m0755 %{buildroot}/%{LibDir}/%{instName}
install -d -m0755 %{buildroot}/%{SysDir}

%{__mv}     %{pbuild}/usrsbin/%{origName} %{buildroot}/%{sbinFile}
%{__sed}    -i 's/%{origName}/%{instName}/g' %{buildroot}/%{sbinFile}
%{__mv}     %{pbuild}/usrsbin/%{initName} %{buildroot}/%{sbinFile2}
%{__chmod}  +x %{buildroot}/%{sbinFile2}
%{__mv}     %{pbuild}/varlib/* %{buildroot}/%{stateDir}/
%{__mv}     %{pbuild}/etcsysconfig/%{origName} %{buildroot}/%{confFile}
%{__sed}    -i 's/%{origName}/%{instName}/g' %{buildroot}/%{confFile}
%{__mv}     %{pbuild}/usrshare/doc/* %{buildroot}/%{DocDir}/
%{__mv}     %{pbuild}/usrlib/%{origName}/functions %{buildroot}/%{LibDir}/%{instName}/functions
%{__sed}    -i 's/%{origName}/%{instName}/g' %{buildroot}/%{LibDir}/%{instName}/functions
%{__mv}     %{pbuild}/systemd/%{instName}.service %{buildroot}/%{SysDir}/%{instName}.service



%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root,0755)
%{sbinFile}
%{sbinFile2}
%{stateDir}
%{DocDir}
%{LibDir}/ol-template-config
%{SysDir}/ol-template-config.service
%attr(0644,root,root) %config(noreplace) %{confFile}

%post
if [ "$1" -eq 1 ] ; then
    # Initial installation, eanble ol-template-config service
    /usr/bin/systemctl daemon-reload
    /usr/bin/systemctl enable %{instName} >/dev/null 2>&1
fi 

%preun
if [ "$1" -eq 0 ] ; then
    # Package removal, disable ol-template-config service
    /usr/bin/systemctl disable %{instName} > /dev/null 2>&1
fi

%changelog
* Tue Jun 11 2019 Yu Zhou <yu.zhou@oracle.com> - 1.1.0-12
- Rename oraclevm-template to ol-template-config
- Use systemd service instead of SysV init script
- Fix network config and ssh connection problem

* Tue Oct 08 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.1.0-11 
- RFC 1912 is informational, it does say that 127.0.0.1 should have the name "localhost", 
  without any attached domain. [orabug 16619882]

* Fri Jun 29 2012 Tianyue Lan <tianyue.lan@oracle.com> - 1.1.0-10
- fix ol6 console input problem 

* Wed May 30 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1.0-9
- Rename package as ol-template-config, obsoletes ovm-template-config <= 1.1.0
  and conflicts ovm-template-config <= 1.1.0

* Thu Jan 12 2012 Tianyue Lan <tianyue.lan@oracle.com> - 1.1.0-9
- Added ovm-template-config-1.1.0-externally-displayed-text.patch [orabug 13567049] 

* Fri Sep 09 2011 Tianyue Lan <tianyue.lan@oracle.com> - 1.1.0-8
- recreated remove-hwaddr-in-ifcfg-eth.patch to avoid 
  function.orig generated. 

* Fri Sep 09 2011 Fredrick He <fredrick.he@oracle.com> - 1.1.0-7
- update the reset-password.patch
  call the passwd reset function if no product specific config script
  add the passwd cleanup function in ovm_cleanup_os

* Wed Sep 07 2011 Tianyue Lan <tianyue.lan@oracle.com> - 1.1.0-6
- Do not write HWADDR into /etc/sysconfig/network-scripts/ifcfg-eth*

* Fri Aug 26 2011 Fredrick He <fredrick.he@oracle.com> - 1.1.0-5
- add reset-password.patch to let the template change root passwd
  at the first boot

* Tue Jun 29 2010 Frank Deng <frank.deng@oracle.com> 1.1.0-4
- Not to do oracle-validated during OS configuration [bug 9460839]
- Template config scripts take args from kernel cmdline or config file
  [bug 9847943]

* Fri Jan 15 2010 Frank Deng <frank.deng@oracle.com> 1.1.0-3
- Add firstboot configuration for Amazon EC2 environment

* Fri Nov 13 2009 Frank Deng <frank.deng@oracle.com> 1.1.0-2
- Re-organize functions in function lib file
- Fix #8294
- Add --force option to support reconfig trigger by kernel cmd-line
--Disable logging when reset network during os cleanup.

* Tue May 05 2009 Wiekus Beukes <wiekus.beukes@oracle.com> 1.1.0-1
- Apply Frank Deng's hostname length check patch
- Apply Frank Deng's vnc files cleanup patch

* Fri Feb 20 2009 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.1-7
- Apply Frank Deng's messages patch
- Some more cleanup in the user messages

* Fri Dec 05 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.1-6
- Merge in Frank Deng's function library changes 

* Fri Oct 31 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.1-5
- Merge in Frank Deng's changes for new spec release

* Wed Oct 15 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.0-4
- Added script name option

* Fri Sep 19 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.0-3
- Added license files

* Fri Sep 19 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.0-2
- Shorten name for release

* Sat Sep 06 2008 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.0-1
- Initial packaging

